public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/stringio/
Date: Tue, 10 May 2022 05:00:04 +0000 (UTC)	[thread overview]
Message-ID: <1652158666.18b187f354e126fa812cefcda350ad4f8ebc873d.graaff@gentoo> (raw)

commit:     18b187f354e126fa812cefcda350ad4f8ebc873d
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue May 10 04:57:46 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue May 10 04:57:46 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18b187f3

dev-ruby/stringio: add 3.0.2

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/stringio/Manifest              |  1 +
 dev-ruby/stringio/stringio-3.0.2.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-ruby/stringio/Manifest b/dev-ruby/stringio/Manifest
index bbee0e4ff780..cbef6ce0b90f 100644
--- a/dev-ruby/stringio/Manifest
+++ b/dev-ruby/stringio/Manifest
@@ -1 +1,2 @@
 DIST stringio-3.0.1.tar.gz 30570 BLAKE2B 385ebe0571ac63a694c8c07cbda74eb53983a163f91d800c880eea9fbd0ec7d53d5a92d03b8afc5a71c9e48bf1c017c2a055fb3bc09c2f555c1a7743cf19ad5a SHA512 7781ee20f7f3d546ee227d7366ac88731b65ea743c39280c4f3d2107d9001eef4a4d583760110817c31f4433f0a45812acd88a0b1b31b2863a8fdc3f54b19ea7
+DIST stringio-3.0.2.tar.gz 43051 BLAKE2B 06d3f5c64a1550969f8c8abdc0cfeec8fe89adba8cb60db68cd4b29bf622a31d51809b85b3b9fa2373b74a33ed1c48df829a44256e431288b6ba2f7654858a13 SHA512 a9ac2820ce1c2bd55aac032be42a493a910787ed04bc41f35ec33b19ffd878c925dbbca49d6c27b07cea5ffb8fa98ecdb576738c9654587dea6842e3bd1f486c

diff --git a/dev-ruby/stringio/stringio-3.0.2.ebuild b/dev-ruby/stringio/stringio-3.0.2.ebuild
new file mode 100644
index 000000000000..f1463c87a564
--- /dev/null
+++ b/dev-ruby/stringio/stringio-3.0.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTENSIONS=(ext/stringio/extconf.rb)
+RUBY_FAKEGEM_GEMSPEC="stringio.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pseudo IO class from/to String."
+HOMEPAGE="https://github.com/ruby/stringio"
+SRC_URI="https://github.com/ruby/stringio/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+SLOT="0"
+IUSE="test"
+
+all_ruby_prepare() {
+	sed -e "/s.version =/ s/source_version/'${PV}'/" \
+		-e 's/__dir__/"."/' \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib:.:test -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}


             reply	other threads:[~2022-05-10  5:00 UTC|newest]

Thread overview: 56+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-10  5:00 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-07  7:22 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/stringio/ Hans de Graaff
2024-11-03  7:27 Hans de Graaff
2024-10-14 21:59 Sam James
2024-10-12 10:05 Hans de Graaff
2024-10-08 20:11 Arthur Zamarin
2024-10-08 20:02 Arthur Zamarin
2024-10-06 14:27 Sam James
2024-10-06 11:35 Sam James
2024-07-17  4:38 Viorel Munteanu
2024-06-14  4:52 Hans de Graaff
2024-02-03  7:48 Hans de Graaff
2023-12-27  9:16 Hans de Graaff
2023-12-27  9:16 Hans de Graaff
2023-12-05 18:25 Ionen Wolkens
2023-12-01  8:29 Hans de Graaff
2023-11-28  7:13 Hans de Graaff
2023-11-10  5:54 Hans de Graaff
2023-11-10  5:54 Hans de Graaff
2023-08-19 15:37 Arthur Zamarin
2023-08-19  7:53 Arthur Zamarin
2023-08-19  7:43 Arthur Zamarin
2023-08-19  6:23 Sam James
2023-08-19  6:09 Sam James
2023-08-19  6:07 Sam James
2023-08-11  8:28 Hans de Graaff
2023-08-04 17:22 Sam James
2023-07-09  6:14 Hans de Graaff
2023-06-15  5:33 Hans de Graaff
2023-04-22 16:46 Arthur Zamarin
2023-04-16 23:23 Sam James
2023-04-15  7:13 Hans de Graaff
2023-04-12  3:28 Sam James
2023-04-12  2:41 Sam James
2023-04-12  2:36 Sam James
2023-04-12  2:36 Sam James
2023-04-12  2:33 Sam James
2023-04-12  2:33 Sam James
2023-04-10 12:57 Arthur Zamarin
2023-03-28 19:15 Sam James
2023-03-28 19:15 Sam James
2023-03-28 19:15 Sam James
2023-03-28 19:05 Sam James
2023-03-04 10:25 Hans de Graaff
2023-02-04  7:08 Hans de Graaff
2022-12-18 10:53 Sam James
2022-12-18 10:53 Sam James
2022-12-18  9:27 Sam James
2022-12-18  9:27 Sam James
2022-12-12  6:39 Hans de Graaff
2022-12-11 20:43 Arthur Zamarin
2022-12-11 13:58 Sam James
2022-12-11 12:53 Sam James
2022-12-11  9:06 Hans de Graaff
2022-03-12  7:21 Hans de Graaff
2022-03-12  7:21 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1652158666.18b187f354e126fa812cefcda350ad4f8ebc873d.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox